package com.qmth.sop.common.enums;

/**
 * @Description: 控件编码
 * @Param:
* @return:
* @Author: wangliang
* @Date: 2023/7/17
*/
public enum WidgetCodeEnum {

    TEXT("文本"),

    NUMBER("数字文本"),

    TEXTAREA("文本域"),

    SINGLE_SELECT("单选下拉框"),

    MULTIPLE_SELECT("多选下拉框"),

    RADIO("单选框"),

    CHECKBOX("复选框"),

    DATE("日期"),

    BUTTON("按钮"),

    IMG("图片"),

    VIDEO("视频"),

    AUDIO("音频"),

    FILE("文件"),

    LABEL("标签"),

    TABLE("表格"),

    SIGN("签名"),

    OTHER("其它"),

    FORM_GROUP_TITLE("带虚线分割线的标题"),

    ONLY_TITLE("普通标题，独占一行"),

    RADIO_WITH_INPUT("带1个输入框的单选框"),

    DEVICE_IN_TABLE("设备入库表格"),

    DEVICE_OUT_TABLE("设备出库表格");

    private String title;

    private WidgetCodeEnum(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }
}
